com.fasterxml.jackson.module.afterburner.deser

## Class SuperSonicDeserializerBuilder

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder
  - - com.fasterxml.jackson.module.afterburner.deser.SuperSonicDeserializerBuilder

    public class SuperSonicDeserializerBuilder
    extends com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder

`_anySetter, _backRefProperties, _beanDesc, _builderConfig, _buildMethod, _defaultViewInclusion, _ignorableProps, _ignoreAllUnknown, _injectables, _objectIdReader, _properties, _valueInstantiator`

### Constructor Summary

Constructors
Constructor and Description
`SuperSonicDeserializerBuilder(com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder base)`

### Method Summary

Methods
`com.fasterxml.jackson.databind.JsonDeserializer<?>` `build()`

### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder

`addBackReferenceProperty, addCreatorProperty, addIgnorable, addInjectable, addInjectable, addOrReplaceProperty, addProperty, buildAbstract, buildBuilderBased, findProperty, findProperty, getAnySetter, getBuilderConfig, getBuildMethod, getInjectables, getObjectIdReader, getProperties, getValueInstantiator, hasProperty, hasProperty, removeProperty, removeProperty, setAnySetter, setIgnoreUnknownProperties, setObjectIdReader, setPOJOBuilder, setValueInstantiator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SuperSonicDeserializerBuilder

    public SuperSonicDeserializerBuilder(com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder base)

### Method Detail

#### build

    public com.fasterxml.jackson.databind.JsonDeserializer<?> build()

Overrides:
  `build` in class `com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder`